<%--
  Created by IntelliJ IDEA.
  User: Administrator
  Date: 2020/9/11
  Time: 12:54
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="com.censoft.db.Logger" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="com.censoft.db.DBUtil" %>
<%@ page import="java.sql.SQLException" %>
<%@ page import="java.util.*" %>
<%
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();
    Connection conn = null;
    Vector v_list;
    String action = pub.trimNull(request.getParameter("action"));
    String info_name = pub.trimNull(request.getParameter("info_name"));
    String build_number = pub.trimNull(request.getParameter("build_number"));
    String bianhao = pub.trimNull(request.getParameter("bianhao"));
    String floor = pub.trimNull(request.getParameter("floor"));
    String room_number = pub.trimNull(request.getParameter("room_number"));
    String address = pub.trimNull(request.getParameter("address"));
    String delete_id = pub.trimNull(request.getParameter("delete_id"));
    String update_id = pub.trimNull(request.getParameter("update_id"));
    String id = DBUtil.getUUID();
    String info_type=pub.trimNull(request.getParameter("info_type"));
    String add_user = (String) session.getAttribute("session_login_id");
    String add_time = pub.getCurrentServerTime();
    try {
        conn = com.censoft.db.DBUtil.getConnection();
        conn.setAutoCommit(false);
        if ("add".equals(action)) {
            boolean is_up = cf.executeUpdate(conn, "insert into basic_info_data (id,info_name,bianhao,floor,address,build_number,room_number,add_time,add_user,info_type) values (?,?,?,?,?,?,?,?,?,?)"
                    , new Object[]{id,info_name,bianhao,floor,address,build_number,room_number,add_time,add_user,info_type});
            if (!is_up) {
                out.println("基础信息数据新增报错" + cf.getMsg());
                conn.rollback();
                return;
            }
            Logger.log(conn,"基础信息数据", "添加", id, "", request);
            out.println("success");
            conn.commit();
            conn.setAutoCommit(true);
            return;
        }if ("update".equals(action)) {
            boolean is_up = cf.executeUpdate(conn, "update basic_info_data set info_name=?,bianhao=?,floor=?,address=?,build_number=?,room_number=?,update_time=?,update_user=? where id=? "
                    , new Object[]{info_name,bianhao,floor,address,build_number,room_number,add_time,add_user,update_id});
            if (!is_up) {
                out.println("基础信息数据" + cf.getMsg());
                conn.rollback();
                return;
            }
            Logger.log(conn,"基础信息数据", "修改", id, "", request);
            out.println("success");
            conn.commit();
            conn.setAutoCommit(true);
            return;
        }else if("delete".equals(action)){
            boolean is_up = cf.executeUpdate(conn, "delete from basic_info_data where id=?"
                    , new Object[]{delete_id});
            if (!is_up) {
                out.println("基础信息数据删除报错" + cf.getMsg());
                conn.rollback();
                return;
            }
            Logger.log(conn,"基础信息数据", "删除", delete_id, "", request);
            out.println("success");
            conn.commit();
            conn.setAutoCommit(true);
            return;
        }
    } catch (Exception e) {
        try {
            if(conn != null){
                conn.rollback();
            }
        } catch (SQLException e1) {
            e1.printStackTrace();
        }
        return;
    } finally {
        if (conn != null) {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
    }
%>
